source $ZDOTDIR/init.zsh

# Initialize completions with defer
autoload -Uz compinit
if [ "$(date +'%j')" != "$(stat -f '%Sm' -t '%j' ~/.zcompdump 2>/dev/null)" ]; then
    zsh-defer compinit
else
    zsh-defer compinit -C
fi
